- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# FbxPropertyEntry Class Reference

Search for all occurrences

## Detailed Description

Definition at line 509 of file fbxpropertypage.h.

`#include <fbxpropertypage.h>`

List of all members.

## Public Member Functions
| FBXSDK_FRIEND_NEW ()
void | Destroy ()
FbxInt | GetParentId ()
bool | IsEmpty ()
FbxPropertyInfo * | Get (const FbxPropertyInfo *)
void | Set (FbxPropertyInfo *pInfo)
FbxPropertyValue * | Get (const FbxPropertyValue *)
void | Set (FbxPropertyValue *pValue)
FbxPropertyConnect * | Get (const FbxPropertyConnect *)
void | Set (FbxPropertyConnect *pConnect)
FbxPropertyFlagsExt * | Get (const FbxPropertyFlagsExt *)
void | Set (FbxPropertyFlagsExt pType)
void | Set (FbxPropertyFlagsExt *pType)
## Static Public Member Functions
static FbxPropertyEntry * | Create (FbxInt pParentId, FbxPropertyInfo *pInfo, FbxPropertyValue *pValue, FbxPropertyConnect *pConnect)
## Friends
class | FbxPropertyPage

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

static FbxPropertyEntry* Create | ( | FbxInt | pParentId,
|  | FbxPropertyInfo * | pInfo,
|  | FbxPropertyValue * | pValue,
|  | FbxPropertyConnect * | pConnect
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 512 of file fbxpropertypage.h.

        {
            return FbxNew< FbxPropertyEntry >(pParentId,pInfo,pValue,pConnect);
        }

void Destroy | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 516 of file fbxpropertypage.h.

    { FbxDelete(this); }

FbxInt GetParentId | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 518 of file fbxpropertypage.h.

    { return mParentId; }

bool IsEmpty | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 519 of file fbxpropertypage.h.

    { return (mInfo || mValue || mConnect || mFlags.GetMask() != 0) ? false : true; }

FbxPropertyInfo* Get | ( | const FbxPropertyInfo * |  | ) | `[inline]`

Search for all occurrences

Definition at line 521 of file fbxpropertypage.h.

    { return mInfo; }

void Set | ( | FbxPropertyInfo * | pInfo | ) | `[inline]`

Search for all occurrences

Definition at line 522 of file fbxpropertypage.h.

        {
            FbxPropertyInfo* lInfo = mInfo;
            if (pInfo) pInfo->IncRef();
            mInfo=pInfo;
            if (lInfo) lInfo->DecRef();
        }

FbxPropertyValue* Get | ( | const FbxPropertyValue * |  | ) | `[inline]`

Search for all occurrences

Definition at line 530 of file fbxpropertypage.h.

    { return mValue; }

void Set | ( | FbxPropertyValue * | pValue | ) | `[inline]`

Search for all occurrences

Definition at line 531 of file fbxpropertypage.h.

        {
            FbxPropertyValue* lValue = mValue;
            if (pValue) pValue->IncRef();
            mValue=pValue;
            if (lValue) lValue->DecRef();
        }

FbxPropertyConnect* Get | ( | const FbxPropertyConnect * |  | ) | `[inline]`

Search for all occurrences

Definition at line 539 of file fbxpropertypage.h.

    { return mConnect; }

void Set | ( | FbxPropertyConnect * | pConnect | ) | `[inline]`

Search for all occurrences

Definition at line 540 of file fbxpropertypage.h.

        {
            FbxPropertyConnect* lConnect = mConnect;
            if (pConnect) pConnect->IncRef();
            mConnect=pConnect;
            if (lConnect) lConnect->DecRef();
        }

FbxPropertyFlagsExt* Get | ( | const FbxPropertyFlagsExt * |  | ) | `[inline]`

Search for all occurrences

Definition at line 548 of file fbxpropertypage.h.

        {
            return &mFlags;
        }

void Set | ( | FbxPropertyFlagsExt | pType | ) | `[inline]`

Search for all occurrences

Definition at line 553 of file fbxpropertypage.h.

        {
            mFlags = pType;
        }

void Set | ( | FbxPropertyFlagsExt * | pType | ) | `[inline]`

Search for all occurrences

Definition at line 558 of file fbxpropertypage.h.

        {
            mFlags = pType ? *pType : FbxPropertyFlagsExt( FbxPropertyAttr::eNone );
        }

## Friends And Related Function Documentation

friend class FbxPropertyPage `[friend]`

Search for all occurrences

Definition at line 590 of file fbxpropertypage.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertypage.h

FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry
FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry FbxPropertyEntry